For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inGet Paid
DocumentationAPI Reference
DocumentationAPI Reference
  • Introduction
    • Overview
  • API Reference
      • GETList products
      • POSTCreate product
      • GETGet product by ID
      • PUTUpdate product
      • DELDelete product
      • GETGet product by external ID
      • PUTUpdate product by external ID
      • DELDelete product by external ID
LogoLogo
Log inGet Paid
API Referenceproducts

Create product

POST
https://api.agentpaid.io/api/v1/products
POST
/api/v1/products
1import { PaidClient } from "@paid-ai/paid-node";
2
3async function main() {
4 const client = new PaidClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.products.create({
8 name: "Acme Product",
9 description: "Acme Product does amazing things.",
10 externalId: "acme-product",
11 type: "product",
12 });
13}
14main();
201products_create_example
1{
2 "id": "63fd642c-569d-44f9-8d67-5cf4944a16cc",
3 "organizationId": "string",
4 "name": "Acme Product",
5 "type": "product",
6 "active": true,
7 "externalId": "acme-product",
8 "description": "Acme Product does amazing things."
9}
Was this page helpful?
Previous

Get product by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringRequired
descriptionstringOptional
externalIdstringOptional
typeenumOptionalDefaults to product
Allowed values:
activebooleanOptionalDefaults to false
productCodestringOptional
metadatamap from strings to anyOptional

Response

Success response
idstringformat: "uuid"
organizationIdstringformat: "uuid"
namestring
typeenum
The type of product
Allowed values:
activeboolean
externalIdstring or null
displayIdstring

Human-readable display ID

descriptionstring or null
productCodestring or null
ProductAttributelist of objects
Pricing attributes for this product
metadatamap from strings to any or null
createdAtdatetime
updatedAtdatetime